> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/changelog-1/documentation-1/get-registry-print.md).

# GET /registry/print

### Загальна інформація <a href="#general-information" id="general-information"></a>

<table data-header-hidden><thead><tr><th width="245"></th><th width="486"></th></tr></thead><tbody><tr><td><strong>Назва методу</strong></td><td>Спосіб друку посилкових реєстрів</td></tr><tr><td><strong>Направлення</strong></td><td>EU, UA</td></tr><tr><td><strong>HTTP Method</strong></td><td>GET</td></tr><tr><td><strong>Роут</strong></td><td><code>/v.1.0/registry/print/?id={id}</code></td></tr><tr><td><strong>Авторизація</strong></td><td><code>Authorization: Bearer jwt-token…</code></td></tr></tbody></table>

#### Опис <a href="#description" id="description"></a>

Цей метод дозволяє користувачам отримати згенерований PDF-файл реєстру для подальшого друку.&#x20;

Європейські реєстри використовують лише друк загального типу реєстру.&#x20;

Українські реєстри (UA-World) можуть друкувати:&#x20;

* загальний реєстр
* міжнародні експрес-накладні (IEW),
* маркування міжнародних експрес-накладних,&#x20;
* рахунки-фактури міжнародних експрес-накладних.

#### Параметри шляху <a href="#path-parameters" id="path-parameters"></a>

<table><thead><tr><th width="131">Назва</th><th width="90">Тип</th><th width="172">Значення</th><th width="337">Опис</th></tr></thead><tbody><tr><td>id</td><td>string</td><td></td><td>Ідентифікатор реєстру в системі OM (обов'язково)</td></tr><tr><td>type</td><td>string</td><td><p></p><ul><li><code>international</code></li><li><code>invoice</code></li><li><code>marking</code></li></ul></td><td>тип друкованого формату (необов'язково)</td></tr><tr><td>printSizeType</td><td>string</td><td><p></p><ul><li><code>size_100_100</code></li></ul></td><td>розмір друкованого маркування, обов'язковий для type= маркування</td></tr><tr><td>copies</td><td>number</td><td></td><td>Кількість копій друкованого документа (необов'язково) Значення за замовчуванням: 1</td></tr></tbody></table>

#### Параметри запиту та відповіді

<details>

<summary>Request <code>.../v.1.0/registry/print/?id={id}</code></summary>

```
GET https://api.novaposhta.ua/v.1.0/registry/print/?id=123456 
Host: api.novaposhta.ua
Authorization: Bearer <jwt-token>
Accept: application/pdf
```

</details>

<details>

<summary>Response <code>.../v.1.0/registry/print/?id={id}</code></summary>

```
generated PDF file
```

</details>

### Acceptable HTTP status codes response <a href="#acceptable-http-status-codes-response" id="acceptable-http-status-codes-response"></a>

<table><thead><tr><th width="126">HTTP-code</th><th width="190">Status</th><th width="414">Description</th></tr></thead><tbody><tr><td>200</td><td>OK</td><td>Запит успішно виконано. Сервер відповів належним чином.</td></tr><tr><td>422</td><td>Unprocessable entity</td><td>Повідомлення про помилку: «Поле ідентифікатора має бути числом».</td></tr><tr><td>500</td><td>Internal Server Error</td><td>Вказаний реєстр не знайдено. Повідомлення про помилку: "validation.invalid"</td></tr></tbody></table>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-portal.novapost.com/changelog-1/documentation-1/get-registry-print.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
